Show / Hide Table of Contents

# Class ResultSetSummary

Represents a summary of information about a result without returning any cells of the results

##### Inheritance

System.Object
ResultSetSummary

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ResultSetSummary

### Properties

| Improve this Doc View Source

#### BatchId

The ID of the batch set within the query

##### Declaration

    public int BatchId { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ColumnInfo

Details about the columns that are provided as solutions

##### Declaration

    public DbColumnWrapper[] ColumnInfo { get; set; }

##### Property Value

Type | Description
--- | ---
DbColumnWrapper[] |

| Improve this Doc View Source

#### Id

The ID of the result set within the batch results

##### Declaration

    public int Id { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RowCount

The number of rows that was returned with the resultset

##### Declaration

    public long RowCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64 |